SilverLining for Android 1.0 Skies, 3D clouds, and weather for Android

- Main Page
- Related Pages
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Members

Static Public Member Functions
com::sundogsoftware::silverlining::SilverLiningLocalTimeJNI Class Reference

List of all members.

## Static Public Member Functions
static final native int | GMT_get ()
static final native int | CET_get ()
static final native int | EET_get ()
static final native int | BT_get ()
static final native int | GET_get ()
static final native int | PKT_get ()
static final native int | BST_get ()
static final native int | THA_get ()
static final native int | CCT_get ()
static final native int | JST_get ()
static final native int | GST_get ()
static final native int | SBT_get ()
static final native int | IDLE_get ()
static final native int | WAT_get ()
static final native int | AT_get ()
static final native int | BRT_get ()
static final native int | AST_get ()
static final native int | EST_get ()
static final native int | CST_get ()
static final native int | MST_get ()
static final native int | PST_get ()
static final native int | YST_get ()
static final native int | AHST_get ()
static final native int | NT_get ()
static final native int | IDLW_get ()
static final native long | new_LocalTime ()
static final native void | delete_LocalTime (long jarg1)
static final native void | LocalTime_SetFromEpochSeconds (long jarg1, LocalTime jarg1_, long jarg2)
static final native void | LocalTime_SetYear (long jarg1, LocalTime jarg1_, int jarg2)
static final native int | LocalTime_GetYear (long jarg1, LocalTime jarg1_)
static final native void | LocalTime_SetMonth (long jarg1, LocalTime jarg1_, int jarg2)
static final native int | LocalTime_GetMonth (long jarg1, LocalTime jarg1_)
static final native void | LocalTime_SetDay (long jarg1, LocalTime jarg1_, int jarg2)
static final native int | LocalTime_GetDay (long jarg1, LocalTime jarg1_)
static final native void | LocalTime_SetHour (long jarg1, LocalTime jarg1_, int jarg2)
static final native int | LocalTime_GetHour (long jarg1, LocalTime jarg1_)
static final native void | LocalTime_SetMinutes (long jarg1, LocalTime jarg1_, int jarg2)
static final native int | LocalTime_GetMinutes (long jarg1, LocalTime jarg1_)
static final native void | LocalTime_SetSeconds (long jarg1, LocalTime jarg1_, double jarg2)
static final native double | LocalTime_GetSeconds (long jarg1, LocalTime jarg1_)
static final native void | LocalTime_SetObservingDaylightSavingsTime (long jarg1, LocalTime jarg1_, boolean jarg2)
static final native boolean | LocalTime_GetObservingDaylightSavingsTime (long jarg1, LocalTime jarg1_)
static final native void | LocalTime_SetTimeZone (long jarg1, LocalTime jarg1_, double jarg2)
static final native double | LocalTime_GetTimeZone (long jarg1, LocalTime jarg1_)
static final native double | LocalTime_GetJulianDate (long jarg1, LocalTime jarg1_, boolean jarg2)
static final native double | LocalTime_GetEpoch2000Centuries (long jarg1, LocalTime jarg1_, boolean jarg2)
static final native double | LocalTime_GetEpoch1990Days (long jarg1, LocalTime jarg1_, boolean jarg2)
static final native void | LocalTime_SetFromSystemTime (long jarg1, LocalTime jarg1_)
static final native void | LocalTime_AddSeconds (long jarg1, LocalTime jarg1_, int jarg2)

The documentation for this class was generated from the following file:

- C:/sl/android/SilverLiningAndroidLibrary/src/com/sundogsoftware/silverlining/SilverLiningLocalTimeJNI.java